> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pickup cars

> Pickup cars. On success, completes the Pickup tasks.



## OpenAPI

````yaml /user-docs/api-reference/work_order.swagger.json post /t/v1/pickup-cars
openapi: 3.0.1
info:
  title: protobuf/arms/work_order.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: WorkOrderService
paths:
  /t/v1/pickup-cars:
    post:
      tags:
        - WorkOrderService
      summary: Pickup cars
      description: Pickup cars. On success, completes the Pickup tasks.
      operationId: PickupCars
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsPickupCarsRequest'
        description: Request message for completing Pickup tasks.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsPickupCarsRequest:
      description: Request message for completing Pickup tasks.
      example:
        exceptions: []
        items:
          - pickup_task_id: task_003
          - equipment_id: 66666
        train_consist_equipment_uuids:
          - uuid_car1
          - uuid_car2
          - uuid_car3
          - uuid_car4
        work_order_id: '12345'
      properties:
        exceptions:
          items:
            $ref: '#/components/schemas/armsPickupCarsRequestException'
          type: array
        items:
          description: >-
            List of the items to Pickup. The associated Pickup tasks will be
            closed on success.
          items:
            $ref: '#/components/schemas/armsPickupCarsRequestItem'
          type: array
        taskIds:
          description: Deprecated. Use items instead.
          items:
            type: string
          type: array
        timestamp:
          format: date-time
          type: string
        trainConsistEquipmentUuids:
          description: >-
            Ordered list of equipment UUIDs representing the new consist
            sequence of the train after Pickup.
          items:
            type: string
          type: array
        workOrderId:
          type: string
      required:
        - items
        - trainConsistEquipmentUuids
        - workOrderId
      title: Pickup Cars Request
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    armsPickupCarsRequestException:
      properties:
        equipmentId:
          description: >-
            Reference by equipment ID. Provide either pickup_task_id or
            equipment_id, but not both.
          format: uint64
          type: string
        exception:
          type: string
        pickupTaskId:
          description: >-
            Reference by pickup task ID. Provide either pickup_task_id or
            equipment_id, but not both.
          type: string
        taskId:
          description: Deprecated. Use pickup_task_id or equipment_id instead.
          type: string
      type: object
    armsPickupCarsRequestItem:
      properties:
        equipmentId:
          description: >-
            Reference by equipment ID. Provide either pickup_task_id or
            equipment_id, but not both.
          format: uint64
          type: string
        pickupTaskId:
          description: >-
            Reference by pickup task ID. Provide either pickup_task_id or
            equipment_id, but not both.
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````